 	.386
	.model	use32 small
		     
	extrn	allerrl : proc

	public	_frexpl
	.data
nm	db	"frexpl",0

	.code

two	dw	2

_frexpl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	tbyte ptr [ecx]
	fxtract
	fxch	st(1)
	fld1
	faddp	st(1)
	mov	eax,[ebp+20]
	fistp	dword ptr [eax]

	fild	word ptr [two]
	fdivp	st(1)
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end